FragmentExtension (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.websocket

## Class FragmentExtension

- java.lang.Object
- - org.eclipse.jetty.websocket.AbstractExtension
  - - org.eclipse.jetty.websocket.FragmentExtension

- All Implemented Interfaces:
    Extension, WebSocketGenerator, WebSocketParser.FrameHandler

      public class FragmentExtension
      extends AbstractExtension

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FragmentExtension()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFrame(byte flags, byte opcode, byte[] content, int offset, int length)`
    `boolean` | `init(Map<String,String> parameters)`

    - ### Methods inherited from class org.eclipse.jetty.websocket.AbstractExtension

      `bind, clearFlag, close, flush, getConnection, getInitParameter, getInitParameter, getInitParameter, getName, getParameterizedName, isBufferEmpty, isFlag, onFrame, setFlag, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FragmentExtension

          public FragmentExtension()

  - ### Method Detail

    - #### init

          public boolean init(Map<String,String> parameters)

      Specified by:
        `init` in interface `Extension`
      Overrides:
        `init` in class `AbstractExtension`

    - #### addFrame

          public void addFrame(byte flags,
                      byte opcode,
                      byte[] content,
                      int offset,
                      int length)
                        throws IOException

      Specified by:
        `addFrame` in interface `WebSocketGenerator`
      Overrides:
        `addFrame` in class `AbstractExtension`
      Throws:
        `IOException`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.